%define	prefix	/usr/X11R6
%define	name	WindowMaker
%define	version	0.62.1
%define Extras	extra-0.1

Summary:	A window manager for the X Window System
Name:		%{name}
Version:	%{version}
Release: 	13mdk
Copyright:	GPL
Group:		Graphical desktop/Window Maker
URL: http://www.windowmaker.org/ 

Source0:	WindowMaker-%{version}.tar.bz2
Source1:	WindowMaker-data.tar.bz2
Source3:	WindowMaker-%{Extras}.tar.bz2
Source4:	WindowMaker.menumethod
Source5: WindowMaker-menuicons.tar.bz2

# Mandrake config
#Source5:	WindowMaker
#Source6:	WMWindowAttributes
#Source7:	tuxdrake.xpm

# Titi patch
Source8:	wmaker


#Patch0:		WindowMaker-0.53.0-wheel.diff.bz2
#Patch1:		WindowMaker-0.60.0-menu-behavior-improvement.diff.bz2
#Patch2:		WindowMaker-0.19.3-wmclock.patch.bz2
#Patch3:		WindowMaker-0.60.0-stpixmap.diff.bz2
#Patch4:		WindowMaker-0.53.0-WPrefs-random-iconification.diff.bz2
Patch0:			wmaker.inst-mdk.patch.bz2

Requires:	libPropList >= 0.10.1, /lib/cpp, mandrake_desk >= 1.0.3-9mdk
Obsoletes:	windowmaker, windowmaker-devel, windowmaker-libs
BuildRoot:	%{_tmppath}/WindowMaker-root
Obsoletes:	wmakerconf <= 2.5-1mdk

%description
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.


%package devel
Summary:	Static libraries and header files
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel

Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This packge contains static libraries and header files need for development.

%prep

%setup -q -a 1 -a 3

%patch0 -p1
#%patch0 -p1 -b .wheel
#%patch1 -p1 -b .menu-behavior-improvement
#%patch2 -p1 -b .wmclock
#%patch3 -p1 -b .stpixmap
#%patch4	-p1 -b .random-iconification

%build
CFLAGS="$RPM_OPT_FLAGS"
NLSDIR=/usr/share/locale
LINGUAS="cs da de el es fi fr gl hr it ja ko nl no pl pt ro ru se sk tr zh_CN zh_TW.Big5"
GNUSTEP_LOCAL_ROOT='%{prefix}/lib/GNUstep'
CPP_PATH=/lib/cpp
export CFLAGS CPP_PATH NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=/usr \
    --exec-prefix=%{prefix} \
    --sysconfdir=/etc/X11 \
    --enable-newstyle \
    --enable-sound  \
    --enable-superfluous \
    --enable-kde \
    --enable-gnome \
    --with-pixmapdir=/usr/share/pixmaps
make


%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done

# Titi fix
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/WindowMaker/bin/
mv $RPM_BUILD_ROOT%{prefix}/bin/wmaker $RPM_BUILD_ROOT%{prefix}/share/WindowMaker/bin/
cp %{SOURCE8}  $RPM_BUILD_ROOT%{prefix}/bin/wmaker

#strip $RPM_BUILD_ROOT%{_prefix}/bin/* || :
#strip $RPM_BUILD_ROOT%{_prefix}/lib/GNUstep/Apps/WPrefs.app/WPrefs

#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
#cp %{SOURCE4} $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
#chmod 0755 $RPM_BUILD_ROOT%{_prefix}/bin/wmdrake 

#cp -f %{SOURCE5} $RPM_BUILD_ROOT/etc/X11/WindowMaker
#cp -f %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/WindowMaker
#chmod 644 $RPM_BUILD_ROOT/etc/X11/WindowMaker/*

#mkdir -p $RPM_BUILD_ROOT/usr/share/icons
#cp -f %{SOURCE7} $RPM_BUILD_ROOT/usr/share/icons
#chmod 644 $RPM_BUILD_ROOT/usr/share/icons/*

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/menu-methods/%{name}
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=wm section=Session/Windowmanagers title=WindowMaker command=wmaker icon="WindowMaker-menuicon.xpm"
?package(%{name}): needs=wmaker section=WindowMaker title="Workspaces" command="WORKSPACE_MENU"
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Hide Others" command="HIDE_OTHERS"
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Show All" command="SHOW_ALL"
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Arrange Icons" command=ARRANGE_ICONS
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Refresh" command=REFRESH
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Lock" command="EXEC xlock -allowroot -usefirst"
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Save Session" command=SAVE_SESSION
?package(%{name}): needs=wmaker section=WindowMaker/Workspace title="Clear Session" command=CLEAR_SESSION
?package(%{name}): needs=wmaker section=WindowMaker/Appearance title="Themes" command="OPEN_MENU -noext THEMES_DIR \$HOME/GNUstep/Library/WindowMaker/Themes WITH setstyle"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance title="Styles" command="OPEN_MENU -noext STYLES_DIR \$HOME/GNUstep/Library/WindowMaker/Styles WITH setstyle"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Black" command="WS_BACK '(solid, black)'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Blue" command="WS_BACK '(solid, \"#505075\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Indigo" command="WS_BACK '(solid, \"#243e6c\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Bleumarine" command="WS_BACK '(solid, \"#224477\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Purple" command="WS_BACK '(solid, \"#554466\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Wheat" command=" WS_BACK '(solid, \"wheat4\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Dark Gray" command="WS_BACK '(solid, \"#333340\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Solid title="Wine" command="WS_BACK '(solid, \"#400020\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Sunset" command="WS_BACK '(mvgradient, deepskyblue4, black, deepskyblue4, tomato4)'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Sky" command="WS_BACK '(vgradient, blue4, white)'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Blue Shades" command="WS_BACK '(vgradient, \"#7080a5\", \"#101020\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Indigo Shades" command="WS_BACK '(vgradient, \"#746ebc\", \"#242e4c\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Purple Shades" command="WS_BACK '(vgradient, \"#654c66\", \"#151426\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Wheat Shades" command="WS_BACK '(vgradient, \"#a09060\", \"#302010\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Grey Shades" command="WS_BACK '(vgradient, \"#636380\", \"#131318\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background/Gradient title="Wine Shades" command="WS_BACK '(vgradient, \"#600040\", \"#180010\")'"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance/Background title="Images" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -t"
?package(%{name}): needs=wmaker section=WindowMaker/Appearance title="Save Theme" command="SHEXEC getstyle -t \$HOME/GNUstep/Library/WindowMaker/Themes/\"%a(Theme name,Enter file name:)\""
?package(%{name}): needs=wmaker section=WindowMaker/Appearance title="Save IconSet" command="SHEXEC geticonset \$HOME/GNUstep/Library/WindowMaker/IconSets/\"%a(IconSet name,Enter file name:)\""
?package(%{name}): needs=wmaker section=WindowMaker/Appearance title="Preferences Utility" command="EXEC /usr/local/GNUstep/Apps/WPrefs.app/WPrefs"
?package(%{name}): needs=wmaker section=WindowMaker/Exit title="Restart" command="RESTART"
?package(%{name}): needs=wmaker section=WindowMaker/Exit title="Exit" command="EXIT"
EOF
rm -f $RPM_BUILD_ROOT/usr/share/WindowMaker/menu.*

# icons
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
tar yxvf %{SOURCE5} -C $RPM_BUILD_ROOT/usr/share/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-menus
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true
/sbin/ldconfig

%postun
update-menus
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README.*
%config /etc/X11/WindowMaker
%{prefix}/lib/GNUstep/Apps/WPrefs.app
%{prefix}/lib/libwraster.so
%{prefix}/lib/libwraster.so.2
%{prefix}/lib/libwraster.so.2.0.0
/usr/share/WindowMaker
/usr/share/locale/*/*/*
/usr/share/pixmaps/*
/usr/share/icons/*
/usr/share/WINGs
/usr/man/*/*
/usr/X11R6/bin/*
%{prefix}/share/WindowMaker/bin/  
/usr/lib/menu/*
%config /etc/menu-methods/%{name}

%files devel
%defattr(-,root,root)
/usr/include/WINGs.h
/usr/include/WMaker.h
/usr/include/WUtil.h
/usr/include/WINGsP.h
%{prefix}/lib/libWINGs.a
%{prefix}/lib/libwraster.a
/usr/include/wraster.h
%{prefix}/lib/libWMaker.a
%{prefix}/lib/libWUtil.a
%{prefix}/lib/libwraster.la

%changelog
* Fri May 12 2000 dam's <damien@mandrakesoft.com> 0.62.1-13mdk
- corrected workspace menus.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.62.1-12mdk
- corrected wmaker.inst text script

* Tue May 09 2000 dam's <damien@mandrakesoft.com> 0.62.1-11mdk
- corrected wmaker test script.

* Mon May  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.62.1-10mdk
- remove asclock which conflicts with AfterStep-APPS
- added url

* Tue May  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-9mdk
- really add menu support

* Fri Apr 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-8mdk
- added fndSession call

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wmconfig crash

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-6mdk
- Requires mandrake_desk >= 1.0.3-9mdk

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-5mdk
- Add the binary :/ and put it in the right PATH

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-4mdk
- Relocate in /usr/X11R6
- Menu support
- Fix crazy obsoletes

* Thu Apr 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-3mdk
- fix a very old bug : when ~/GNUstep doesn't exists, exec wmaker.inst
  else the end user won't be able to launch WindowMaker
  (this bug is present since at least 0.4x :-( )

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-2mdk
- Split in 2 packages (devel & normal)
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.0-1mdk
- 0.62.0
- Release for impatients
- Use new Groups
- Use %%{_tmppath} for BuildRoot

* Sun Mar 05 2000 David BAUDENS 0.61.1-17mdk
- Fix duplicate screen saver
- French translations and adapatations

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-16mdk: new icon
- 0.61.1-15mdk: back to /usr for some directories 
- 0.61.1-14mdk: fix PATH in /etc/X11/WindowMaker 
- 0.61.1-13mdk: fix a typo in WMDrake
- 0.61.1-12mdk: requires mandrake_desk >= 1.0.1-11mdk

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-11mdk: new icon
- 0.61.1-10mdk: better MandrakeSoft customization

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Enable WMDrake
- Fix typos

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix WMDrake

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Cleanup spec
- Back to original sources
- (Re) Fix cpp problem

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in wmdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial wmdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61
- Add some patches from package of Ryan Weaver <ryanw@infohwy.com>

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Various patch syncronised with package from Ryan Weaver <ryanw@infohwy.com>
- Added diff from cvs 'WindowMaker-0.61.0-19990922cvs.diff.bz2'
- fixes seg fault at exit among other things including the following.
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA
- WindowMaker-0.61.0-po.patch.bz2

* Tue Sep 21 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.61.0
- fix compilation
- redo Mandrake adaptions

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>
- fix a typo

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix include problem with /usr/bin/cpp (need /lib/cpp).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake Adaptations.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
